<html>
<head>
    <title>PDF</title>
    <meta http-equiv="X-UA-Compatible" content="chrome = 1">
    <link type="text/css" href="css/main.css" rel="stylesheet" media="screen" />
    <link rel="stylesheet" href="viewer.css"/>
    <script type="text/javascript" src="scripts/jquery.js"></script>
    <script type="text/javascript" src="scripts/pdf.js"></script>
    <script type="text/javascript" src="scripts/jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="scripts/turn.min.js"></script>
    <script type="text/javascript" src="scripts/tools.js"></script>
    <script>
        var currentZoom = 1.0;
		
        function goBack() {
			window.history.back();
		}

        function Zin() {
          var el = document.getElementById("magazine");
		  var zoi = currentZoom += .1;

          //IE
		  //~ el.style.zoom = currentZoom += .2;
		  
		  //Firefox
		  el.style.MozTransform = "scale("+zoi+")";
		  el.style.MozTransformOrigin = "0 0";
		  
		  //chorme
		  //el.style.WebkitTransform = "scale("+zoi+")";
		  //el.style.WebkitTransformOrigin = "0 0";
		}

        function Zout() {
          var el = document.getElementById("magazine");
		  var zoo = currentZoom -= .1;
		  
          //IE
		  //~ el.style.zoom = currentZoom -= .2;
		  
		  //Firefox
		  el.style.MozTransform = "scale("+zoo+")";
		  el.style.MozTransformOrigin = "0 0";
		  
		  //chorme
		  //el.style.WebkitTransform = "scale("+zoo+")";
		  //el.style.WebkitTransformOrigin = "0 0";
		}
		
		function Reset() {
          var el = document.getElementById("magazine");
		  currentZoom = 1.0;
		  //el.style.zoom = 1;
			
		  //Firefox
		  el.style.MozTransform = "scale(1)";
		  el.style.MozTransformOrigin = "0 0";
		  
		  //chorme
		  //el.style.WebkitTransform = "scale(1)";
		  //el.style.WebkitTransformOrigin = "0 0";
		}

		function requestFullScreen() {
          var el = document.getElementById("magazine");
		  el.style.zoom = 1.7;
		  
		  // Supports most browsers and their versions.
		  var requestMethod = el.requestFullScreen || el.webkitRequestFullScreen 
		  || el.mozRequestFullScreen || el.msRequestFullScreen;

		  if (requestMethod) {

			// Native full screen.
			requestMethod.call(el);

		  } else if (typeof window.ActiveXObject !== "undefined") {

			// Older IE.
			var wscript = new ActiveXObject("WScript.Shell");

			if (wscript !== null) {
			  wscript.SendKeys("{F11}");
			}
		  }
		}

        $(document).ready(function () {
			$('#ZoomIn').click(
				function () {
					$('#magazine').animate({ 'zoom': currentZoom += .1 }, 'slow');
				})
			$('#ZoomOut').click(
				function () {
					$('#magazine').animate({ 'zoom': currentZoom -= .1 }, 'slow');
				})
			$('#ZoomReset').click(
				function () {
					currentZoom = 1.0
					$('#magazine').animate({ 'zoom': 1 }, 'slow');
				})
		});
	</script>
</head>
<body>

<?php $fname = $_GET["pdf_name"]; ?>
    
    <div class="toolbar">
          <div id="toolbarContainer">
            <div id="toolbarViewer">
              <div id="toolbarViewerLeft" style="float:left; margin-right:100px;">
					<button id="presentationMode" class="toolbarButton hiddenSmallView" title="Switch to Presentation Mode" tabindex="12" data-l10n-id="presentation_mode" onclick="goBack()">
					  Back
					</button>
			  </div>
			  <div id="toolbarViewerRight" style="float:right; margin-right:10px;">
                    <button id="FullScreen" class="toolbarButton" title="Full Screen" tabindex="14" onclick="requestFullScreen()"><img src="img/toolbarButton-presentationMode.png"></button>
					<button id="PerviousPage" class="toolbarButton hiddenSmallView" title="Pervious Page" tabindex="14" onclick="previous();"><img src="img/findbarButton-previous.png"></button>  
					<button id="NextPage" class="toolbarButton hiddenSmallView" title="Next Page" tabindex="13" onclick="next();"><img src="img/findbarButton-next.png"></button>
					<button id="ZoomIn" class="toolbarButton" title="Zoom In" tabindex="15" onclick="Zin()"><img src="img/toolbarButton-zoomIn.png"></button>
			        <button id="ZoomOut" class="toolbarButton" title="Zoom Out" tabindex="16" onclick="Zout()"><img src="img/toolbarButton-zoomOut.png"></button>
			        <button id="ZoomReset" class="toolbarButton" title="Reset Zoom" tabindex="9" onclick="Reset()">Reset</button>
			   </div>
          </div>
        </div>
        </div>
    
    <div id="magazine" class="magazine" style="background-color: #888585;">
    </div>

    <script type="text/javascript">

        PDFJS.disableWorker = true;
        var pdfDoc, scale, file, np;

        $(document).ready(function () {
            file = getUrlVars()["file"];
            if (file == null)
                file = '../../..<?php echo $fname; ?>';

            PDFJS.getDocument(file).then(function (doc) {
                pdfDoc = doc;
                np = (doc.numPages);

                scale = 3;

                for (var i = 1; i <= np; i++) {
                    $(".magazine").html($(".magazine").html() + '<div><canvas id="hoja' + i + '" style="border: 1px solid black; width: 99.4%; height: 99.5%;"></canvas></div>');
                }

                for (var i = 1; i <= np; i++) {
                    renderPage(i, document.getElementById('hoja' + i));
                }

                //Evento Window Ready
                flipkey();
                demoDisplay();
                window.onload = function () {
                    setContent();

                }
                document.getElementById('imagen-oculta').style.visibility = 'visible';
                document.getElementById('imagen-oculta2').style.visibility = 'visible';
            });
        });
      
    </script>
</body>
</html>
